Bug 1418349 - [Intel FEAT] Update nvme-cli package to latest release
Summary: [Intel FEAT] Update nvme-cli package to latest release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nvme-cli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:41 UTC by Keith Busch
Modified: 2017-02-11 15:20 UTC (History)
2 users (show)

Fixed In Version: nvme-cli-1.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-11 15:20:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Keith Busch 2017-02-01 15:41:33 UTC
1. Feature Overview:
a) Name of feature:
nvme-cli

Currently in RHEL and Fedora at revision 0.7-1. This version does not have support for all the fabrics commands. The latest release on github is version 1.1.

b) Feature Description:
User space tooling for nvme

2. Feature Details:
a) Architectures:
Any

b) Bugzilla Dependencies:
None

c) Drivers or hardware dependencies:
nvme-core, nvme, nvme-fabrics

d) Upstream acceptance information:
Upstream committed in github project.

e) External links:
https://github.com/linux-nvme/nvme-cli

f) Severity (H,M,L):
Medium

g) Feature Needed by:
RHEL 7.4 GA

3. Business Justification:
a) Why is this feature needed?
Provides user tooling for managing drives and connecting to remote NVMe-over-fabrics targets.

b) What hardware does this enable?
NVMe, NVMeOF

c) Is this hardware on-board in a system (eg, LOM) or an add-on card?
Yes

d) Business impact?
e) Other business drivers:

4. Primary contact at Partner:
Keith Busch
keith.busch@intel.com

Comment 1 Fedora Update System 2017-02-01 18:19:50 UTC
nvme-cli-1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d9fff9482

Comment 2 Andy Lutomirski 2017-02-01 19:27:38 UTC
Keith, this is a real EL package now, not an EPEL package.  Unless I'm mistaken, you may need to file a second bug against Red Hat instead of Fedora.

Comment 3 Fedora Update System 2017-02-02 22:49:42 UTC
nvme-cli-1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8d9fff9482

Comment 4 Fedora Update System 2017-02-11 15:20:19 UTC
nvme-cli-1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.